Bug 189139 - fusermount is not world executable
Summary: fusermount is not world executable
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: fuse (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-17 16:35 UTC by Brian G. Anderson
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 17:31:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian G. Anderson 2006-04-17 16:35:25 UTC
Description of problem:
fusermount has its executable sticky bit set, but the program is not world
executable.  This means that a regular user cannot use encfs to mount a personal
encrypted directory.  Only root can mount an ecrypted directory for the user
using "encfs --public ~user/dir-enc ~user/dir"


Version-Release number of selected component (if applicable):
fuse-2.5.2-4.fc5

How reproducible:
always


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
A regular user should be able to make a personal encrypted directory without
becomming root.


Additional info:

Comment 1 Kyrre Ness Sjøbæk 2006-10-16 17:10:35 UTC
You have to add the user into the "fuse" group. Then he/she can mount trough fuse


Note You need to log in before you can comment on or make changes to this bug.